from django.shortcuts import HttpResponseRedirect
from django.urls import reverse


# from django.core.urlresolvers import reverse

class AuthRequiredMiddleware(object):
    def __init__(self, get_response):
        self.get_response = get_response

    def __call__(self, request):
        # Code to be executed for each request before
        # the view (and later middleware) are called.
        response = self.get_response(request)

        #		if request.path_info == reverse('ws-news-list2'):
        #			return response

        if not request.user.is_authenticated and request.path_info != reverse('login') and not request.user.is_active:
            return HttpResponseRedirect(reverse('login'))

        # Code to be executed for each request/response after
        # the view is called.

        return response
